# Copyright (c) 2006-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _libname	libtsmux

Name:			libtsmux0
Version:		0.3.0
Release:		2.2
Summary:		Library for muxing of MPEG Transport Streams
Group:			System/Libraries
License:		LGPL/GPL/MPL/MIT
URL:			http://schrodinger.sf.net
Source:			%{_libname}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig

%description
Library for muxing of MPEG Transport Streams.

Authors:
Jan Schmidt <jan@fluendo.com>
Wim Taymans <wim@fluendo.com>

%package -n libtsmux-devel
Summary:	Libraries and includefiles for libtsmux
Group:		Development/Libraries/C and C++
Requires:	libtsmux0 = %{version}

%description -n libtsmux-devel
Header files and libraries for libtsmux.

Authors:
Jan Schmidt <jan@fluendo.com>
Wim Taymans <wim@fluendo.com>



%prep
%setup -q -n %{_libname}-%{version}

%build
%configure
%__make

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/%{_libname}.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS COPYING COPYING.GPL COPYING.LGPL COPYING.MIT COPYING.MPL
%{_libdir}/%{_libname}.so.*

%files -n libtsmux-devel
%defattr(-,root,root)
%dir %{_includedir}/tsmux
%{_includedir}/tsmux/*.h
%{_libdir}/%{_libname}.a
%{_libdir}/%{_libname}.so
%{_libdir}/pkgconfig/tsmux.pc

%changelog
* Thu Jul 17 2008 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- update to 0.3.0
* Fri Sep 07 2007 Toni Graffy <toni@links2linux.de> - 0.2.0-0.pm.3
- changed package layout according Shared Library Packaging Policy
* Tue Feb 20 2007 Toni Graffy <toni@links2linux.de> - 0.2.0-0.pm.1
- update to 0.2.0
- removed *.la
* Wed Nov 29 2006 Toni Graffy <toni@links2linux.de> - 0.1.1-0.pm.1
- initial build 0.1.1
